<template>
  <div class="row pt-5 thumb-game">
    <div class="col col-12 col-lg-3">
      <p class="fw-bold title-text">Quiz thumbnail</p>
    </div>
    <div class="col col-12 col-lg-9">
      <div>
        <input
          class="form-control"
          type="file"
          id="thumb-game-input"
          accept="image/*"
          @change="updateContent($event)"
        />
      </div>
    </div>
  </div>
</template>

<script>
import { apiCustomerPost } from "../../services/baseApi.js";

export default {
  props: {
    idProp: Number
  },
  methods: {
    async updateContent(e) {
      try {
        let file = e.target.files[0];
        if (!file) return;
        let formData = new FormData();
        formData.append("file", file);

        let res = await apiCustomerPost("quizz/upload", formData, {
          "content-type": "multipart/form-data"
        });
        if (res && res.data && res.data.data.destination) {
          this.$emit("update-thumb", res.data.data.destination);
        }
      } catch (error) {
        console.log(error);
      }
    }
  }
};
</script>

<style scoped>
* > .row {
  width: 100%;
  margin-left: 0;
}
.thumb-game .title-text {
  font-size: 22px;
}
</style>
